#include "VHI/VHI.h"

#include <assert.h>
#include <memory>

#include "Core/Core.h"

#include "IAudioRender.h"

VHI* Singleton<VHI>::instance_ = nullptr;

VHI::VHI() noexcept {

}

VHI::~VHI() {

}

bool VHI::Initialize() {
    audioRender_.reset(IAudioRender::Create());
    return true;
}

void VHI::Uninitialize() {
    audioRender_.reset();
}

